C-------------------- Moonquake database library utilities -------------------
C
C                             "ftest" ver 1.00
C 
C                         programmed by Jun-ya Terazono 
C         Copyright (c) 1994 by Jun-ya Terazono, all rights reserved. 
C-----------------------------------------------------------------------------

      CHARACTER   INFILE*80, OUTFILE*80, PROGSIGN*16
      INTEGER*2   CHANNELS, DATAFORM, STATION, TAPENUM, OBSMODE
      INTEGER*2   FDIN, FDOUT
      INTEGER*2   DATATYPE, FILETYPE
      INTEGER*2   AACHANNEL, MXCHANNEL, SRCHANNEL
      INTEGER*2   YEAR, DAY, HOUR, MINUTE, SECOND, MS
      INTEGER*4   STARTREC, ENDREC, NOD
      REAL*8      AVEAMP(255), MAXAMP(255), SAMPRATE(255)
      REAL*8      DATA(100000)

      INTEGER*2   MQREAD, MQWRITE
      INTEGER*2   MQFILE, MQSTDIN, MQSTDOUT, MQSTDERR

      MQREAD   = 0
      MQWRITE  = 1

      MQFILE   = 1
      MQSTDIN  = 2
      MQSTDOUT = 3
      MQSTDERR = 4

C      INFILE = 'composite.lp'
C      INFILE = ' '
      INFILE = '/usr/local/mqdb/deepmq.lp'
      OUTFILE = 'test.lp'
      PROGSIGN = 'ftest'

      CALL MQINIT( PROGSIGN )

      CALL MQOPEN( INFILE, MQREAD, MQFILE, FDIN )

      CALL MQRAA( FDIN, AACHANNEL, AVEAMP )
      CALL MQRCH( FDIN, CHANNELS )
      CALL MQRDF( FDIN, DATAFORM )
      CALL MQRDT( FDIN, DATATYPE )
      CALL MQRERC( FDIN, ENDREC )
      CALL MQRFT( FDIN, FILETYPE )
      CALL MQRMA( FDIN, MXCHANNEL, MAXAMP )
      CALL MQRNOD( FDIN, NOD )
      CALL MQROM( FDIN, OBSMODE )
      CALL MQRSTN( FDIN, STATION )
      CALL MQRSR( FDIN, SRCHANNEL, SAMPRATE )
      CALL MQRSRC( FDIN, STARTREC ) 
      CALL MQRST( FDIN, YEAR, DAY, HOUR, MINUTE, SECOND, MS )
      CALL MQRTN( FDIN, TAPENUM )
      CALL MQRD( FDIN, CHANNELS, NOD, FILETYPE, DATA )

C      WRITE( 6, * ) 'ENTERING OUTPUT'
      CALL MQOPEN( OUTFILE, MQWRITE, MQFILE, FDOUT )

      CALL MQCAA( FDOUT, AACHANNEL, AVEAMP )
      CALL MQCCH( FDOUT, CHANNELS )
      CALL MQCDF( FDOUT, DATAFORM )
      CALL MQCDT( FDOUT, DATATYPE )
      CALL MQCERC( FDOUT, ENDREC )
      CALL MQCFT( FDOUT, FILETYPE )
      CALL MQCMA( FDOUT, MXCHANNEL, MAXAMP )
      CALL MQCNOD( FDOUT, NOD )
      CALL MQCOM( FDOUT, OBSMODE )
      CALL MQCSTN( FDOUT, STATION )
      CALL MQCSR( FDOUT, SRCHANNEL, SAMPRATE )
      CALL MQCSRC( FDOUT, STARTREC ) 
      CALL MQCST( FDOUT, YEAR, DAY, HOUR, MINUTE, SECOND, MS )
      CALL MQCTN( FDOUT, TAPENUM )

      CALL MQCD( FDOUT, DATA )

C      WRITE( 6, * ) 'ENTERING MQCLOS'
      CALL MQCLOS( FDIN )
      CALL MQCLOS( FDOUT )

      WRITE( 6, 2000 ) AACHANNEL, AVEAMP(1), AVEAMP(2), AVEAMP(3)
 2000 FORMAT( "Average amplitude ", I3, F15.8, F15.8, F15.8 )

      WRITE( 6, 2011 ) CHANNELS
 2011 FORMAT( "Channels: ", I3 )

      WRITE( 6, 2021 ) DATAFORM
 2021 FORMAT( "Data_format: ", I1 )

      WRITE( 6, 2031 ) DATATYPE
 2031 FORMAT( "Data_type: ", I1 )

      WRITE( 6, 2041 ) FILETYPE
 2041 FORMAT( "File_type: ", I1 )

      WRITE( 6, 2042 ) MXCHANNEL, MAXAMP(1), MAXAMP(2), MAXAMP(3)
 2042 FORMAT( "Maximum Amplitude: ", I2, F15.8, F15.8, F15.8 )

      WRITE( 6, 2003 ) NOD
 2003 FORMAT( "Number_of_data: ", I8 )

      WRITE( 6, 2004 ) OBSMODE
 2004 FORMAT( "Observation_mode: " I1 )

      WRITE( 6, 2051 ) SRCHANNEL, SAMPRATE(1), SAMPRATE(2), SAMPRATE(3)
 2051 FORMAT( "Sampling rate: ", I1, F15.8, F15.8, F15.8 )

      WRITE( 6, 2005 ) STARTREC
 2005 FORMAT( "Start_record: ", I4 )

      WRITE( 6, 2006 ) ENDREC
 2006 FORMAT( "End_of_record: ", I4 )

      WRITE( 6, 2007 ) YEAR, DAY, HOUR, MINUTE, SECOND, MS
 2007 FORMAT( "Start_time: ", I4, I4, I4, I4, I4, I4 )

      WRITE( 6, 2008 ) STATION
 2008 FORMAT( "Station:  AP", I2 )

      WRITE( 6, 2009 ) TAPENUM
 2009 FORMAT( "Tape_number: ", I4 )

      WRITE( 6, 2100 ) DATA(1), DATA(2), DATA(NOD)
 2100 FORMAT( "DATA[1], DATA[2], DATA[NOD]: ", F15.8, F15.8, F15.8 )

      STOP
      END
