/* ----------------------- Moonquake database utilities ----------------------+
|                                                                             |
|                            "mqreadtest" ver 1.00                            |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* 
 *    This is a program that reads MQDB format file and does nothing. Use this
 *  program for measuring performance of data file reading, for example, 
 *  difference of the speed of reading between FULLTEXT file and COMPOSITE
 *  file.
 *    To compile this, type as follows:
 *       cc -o mqreadtest mqreadtest.c -lmq -L(lib) -I(inc)
 *  where (lib) is a directory which MQDB access library "libmq.a" is
 *  installed, and (inc) is a directory which the include file "mqdb.h" is
 *  installed. And to execute this program, type:
 *       mqreadtest [ testfile ]
 *    Use ANSI-C compatible compilers to make mqreadtest.
 */

/* ============================= Include files ============================= */
#include <stdio.h>
#include <mqdb.h>

/* ========================== Program statements  ========================== */
main( int argc, char **argv )
    {
    double    *data;
    MqAccess   access;
    MqHeader   header;

    MqSetAccessYes( &access );
    data = MqRead( argv[1], &access, &header );
    return EXIT_SUCCESS;
    }

/* =========================== END of the program ========================== */

