/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                          "MqCatInfoData" ver 1.00                           |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This function concatenates Information string and Data string and returns
 *  a string as a one line of the header.
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
char *MqCatInfoData( const char *info, const char *data )
    {
    char   *header;    /* result */
    unsigned int infolen,   /* length of string "info" */
                 datalen;   /* length of string "data" */

    MqSetFunc( MQCATINFODATA );
    MqClearError();

    if( NULL == info || NULL == data ) {
	MqSetError( EMQNULLPTR );
	MqPerror( NULL );
	}

    infolen = strlen( info );
    datalen = strlen( data );

    if( NULL == ( header = calloc( MQHDRLENMAX, 1 ))) {
	MqSetError( EMQMEMALLOC );
	MqPerror( NULL );
	}

      /* concatenate strings */
    strcpy( header, info );
    strcat( header, MqHeaderSeparator );
    strcat( header, data );
    strcat( header, MqLineEnd );

    if( MqErr.errno == EMQNOERROR )
	return header;
    else
	return NULL;
    }

/* =========================== END of the program ========================== */


