/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                          "MqCheckFilDesc" ver 1.00                          |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This file specifies validity of file descriptor. 
 *
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void MqCheckFilDesc( unsigned short fd, MQRW rw ) 
    {
    if( fd > MQFILDESCMAX ) {   /* whether fd value is valid */
	MqSetError( EMQFILDESCMAX );
	MqPerror( NULL );
	}
		   
    if( MqFilDesc[fd].InUse == MQ_NO ) {  /* confirmation of "in-use" */
	MqSetError( EMQFDNOTINUSE );
	MqPerror( NULL );
	}

    if( MqFilDesc[fd].ReadWrite != rw ) {  /* read/write mode check */
	if( MqFilDesc[fd].ReadWrite == MQ_READ ) {
	    MqSetError( EMQFDREAD );
	    MqPerror( NULL );
	    }
	else if( MqFilDesc[fd].ReadWrite == MQ_WRITE ) {
	    MqSetError( EMQFDWRITE );
	    MqPerror( NULL );
	    }
	else {
	    MqSetError( EMQILMQRW );
	    MqPerror( NULL );
	    }
	}
    }

/* =========================== END of the program ========================== */

