/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                           "MqCheckLibVer" ver 1.00                          |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This function inspects library version structure and warns if illegal
 *  characters are assigned in the structure.
 */

/* ============================= Include files ============================= */
#include <ctype.h>
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void MqCheckLibVer( MqLibVer libver )
    {
    MqSetError( MQCHECKLIBVER );
    MqClearError();

    /* check of Library Type */
    if( isalpha( libver.LibType[0] ) == MQ_FALSE ||
                         isalpha( libver.LibType[1] ) == MQ_FALSE ) {
	MqSetError( EMQILLIBTYPE );
	MqPerror( NULL );
	}

    /* check of Release Number */
    if( isdigit( libver.Release ) == MQ_FALSE ) {
	MqSetError( EMQILLIBREL );
	MqPerror( NULL );
	}

    /* check of Major Number */
    if( isdigit( libver.Major ) == MQ_FALSE ) {
	MqSetError( EMQILLIBMAJ );
	MqPerror( NULL );
	}

    /* check of Minor Number */
    if( isdigit( libver.Minor ) == MQ_FALSE ) {
	MqSetError( EMQILLIBMIN );
	MqPerror( NULL );
	}
    }

/* =========================== END of the program ========================== */

