/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                          "MqCheckStation" ver 1.00                          |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This function checks argument "station" and sets error number ( MqErr ).
 *  If station has illegal number as a Apollo seismic station number, namely,
 *  numbers except 11, 12, 14, 15 & 16, EMQILSTNNUM will be set.
 */

/* ============================= Include files ============================= */
#include "mqdb.h"

/* ========================== Program statements  ========================== */
void MqCheckStation( unsigned short station )
    {
    char  *stachar;

    MqClearError();
    MqSetFunc( MQCHECKSTATION );

    if( NULL == ( stachar = calloc( 10, 1 )))    {
	MqSetError( EMQMEMALLOC );
	MqPerror( NULL );
	}

    if( station < 11 || station == 13 || station > 17 )     {
	sprintf( stachar, "%d", station );
	MqSetError( EMQILSTNNUM );
	MqPerror( stachar );
	}

    free( stachar );
    }

/* =========================== END of the program ========================== */

