/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                         "MqConvCharDouble" ver 1.00                         |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *   This function separates received character strings into some token by
 *   specifying separator ',', and converts each token to double variable.
 *   The dimension of double variables will be returned.
 */

/* ============================= Include files ============================= */
#include <stdio.h>
#include <stdlib.h>
#include "mqdb.h"

/* ========================== Program statements  ========================== */
void MqConvCharDouble( char *str, MqAmp *amp )
    {
    unsigned short *start,      /* start point of the data */
                   *end,        /* end point of the data */
                    i, j = 0, k = 0;   /* loop counter */
    int            datalen;
    char          *tmpchar;
    char           thetemp[100];

    if( NULL == str )    {   /* NULL pointer check */
	MqSetError( EMQNULLPTR );
	MqPerror( NULL );
	}

    datalen = strlen( str );

    if( amp->channels == 0 )    {      /* channel == 0 is an error */
	MqSetError( EMQNOCOMMA );
	MqPerror( NULL );
	}
    else if( amp->channels == 1 )    {
	MqSetError( EMQONEDATA );
	amp->data[0] = atof( str );
	}
    else   {
	if( NULL == ( start = calloc( amp->channels,
				     sizeof( unsigned short ))))   {
	    MqSetError( EMQMEMALLOC );
	    MqPerror( NULL );
	    }
	if( NULL == ( end = calloc( amp->channels,
				   sizeof( unsigned short ))))   {
	    MqSetError( EMQMEMALLOC );
	    MqPerror( NULL );
	    }
	start[0] = 0;  end[amp->channels-1] = datalen;
	for( i = 0; i < datalen; i++ )   {
	    if( str[i] == ',' )    {  /* check positions of a separator ',' */
		start[j+1] = i + 1;
		  end[j]   = i - 1;
		j++;
		}
	    }

	for( i = 0; i < amp->channels; i++ )    {
	    k = 0;
	    if( NULL == ( tmpchar = calloc( 80, 1 )))    {
		MqSetError( EMQMEMALLOC );
		MqPerror( NULL );
		}
	    for( j = start[i]; j < end[i]; j++, k++ )  tmpchar[k] = str[j];
	    tmpchar[k+1] = '\0';
	    amp->data[i] = atof( tmpchar );
	    free( tmpchar );
	    }

	free( start );
	free( end );
	}
    }

/* =========================== END of the program ========================== */
