/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                             "MqCutLine" ver 1.00                            |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <stdio.h>
#include <stdlib.h>
#include "mqdb.h"

/* ========================== Program statements  ========================== */
void MqCutLine( char *header, char *line, long pos )
    {
    long   i, j = 0,  /* loop counter */
           hdrlen,    /* length of "header" */
           linelen;   /* length of "line" */
    char   errout[10];

    MqSetFunc( MQCUTLINE );
    MqClearError();

    if( pos == -1 )    {
	MqSetError( EMQILPOS );
	sprintf( errout, "%ld", pos );
	MqPerror( errout );
	}

    if( header == NULL || line == NULL )    {
	MqSetError( EMQNULLPTR );
	MqPerror( NULL );
	}
    
    hdrlen = strlen( header );

    if( hdrlen == 0 )    {
	MqSetError( EMQZEROHDR );
	MqPerror( NULL );
	}

    if( MqErr.errno == EMQNOERROR )    {
	i = pos;
	while( i < hdrlen - 2 )    {
	    line[j] = header[i];	    
	    if( header[i+1] == 0x0d && header[i+2] == 0x0a ) break;
	    i++; j++;
	    }
	line[j+1] = '\0';
	}
    }

/* =========================== END of the program ========================== */

