/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                            "MqDiffTime" ver 1.00                            |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|         Copyright (c) 1993 by Jun-ya Terazono, all rights reserved.         |
+----------------------------------------------------------------------------*/

/*
 *   This function accepts two MqTime arguments time1 and time2, calculates
 *   time2 - time1 and returns its value ( double ) as a second unit.
 */

/* ============================= Include files ============================= */
#include <stdio.h>
#include "mqdb.h"

/* ========================== Program statements  ========================== */

double MqDiffTime( MqTime time2, MqTime time1 )
   {
   double  timediff;    /* time difference in seconds */
   unsigned short     i;           /* loop counter */
       /* difference of time in short ( not unsigned ) */
   short    ms, second, minute, hour, day, year;
   
   ms     = time2.ms     - time1.ms;
   second = time2.second - time1.second;
   minute = time2.minute - time1.minute;
   hour   = time2.hour   - time1.hour;
   day    = time2.day    - time1.day;
   year   = time2.year   - time1.year;

   timediff  = ( (double)ms / (double)1000 );
   timediff +=   (double)second;
   timediff += ( (double)minute * 60. );
   timediff += ( (double)hour * 60. * 60. );
   timediff += ( (double)day  * 60. * 60. * 24. );

   if( year > 1 )    {
       for( i = year + 1; i <= (unsigned short)year; i++ )
	   if( i % 4 == 0 && i % 400 != 0 )
	       timediff += 3600.;
       timediff += (( (double)year - 1 ) * 60. * 60. * 24. * 365. );
       }

   return timediff;
   }

/* =========================== END of the program ========================== */

