/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                           "MqGetHeader" ver 1.00                            |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This function is called after MqGetTopLine(), reads header part till the 
 *  header-data separator "@@" found. This function also eliminates comments
 *  and header-data separator, and returns header parts only.
 */

/* ============================= Include files ============================= */
#include <stdlib.h>
#include <mqdb.h>

/* ========================== Program statements  ========================== */
char *MqGetHeader( FILE *fin )
    {
    char   *header;   /* header strings */
    unsigned long     i = 0;

    MqSetFunc( MQGETHEADER );
    MqClearError();

    header = calloc( MQHDRLENMAX, 1 );
    if( NULL == header ) {
	MqSetError( EMQMEMALLOC );
	MqPerror( NULL );
	}

    while( 1 ) {
	if( fin == NULL ) {
	    if( EOF == ( header[i] = getchar() )) {
		MqSetError( EMQNODATASEP );
		MqPerror( NULL );
		}
	    }
	else {
	    if( EOF == ( header[i] = getc( fin ))) {
		MqSetError( EMQNODATASEP );
		MqPerror( NULL );
		}
	    }
	if( header[i-1] == '@' && header[i] == '@' ) break;

	i++;
	if( i > MQHDRLENMAX ) {
	    MqSetError( EMQLONGHDR );
	    MqPerror( NULL );
	    break;
	    }
	}

    /* 
     *  COMMENT HANDLING ROUTINES WILL BE SET HERE, HOWEVER, CURRENTLY NOT 
     *  IMPLEMENTED BECAUSE DETAILED SPECIFICATION OF THE HEADER COMMENT
     *  ARE NOT DETERMINED.
     */

    return header;
    }

/* =========================== END of the program ========================== */

