/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                             "MqPerror" ver 1.00                             |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *   This program specifies error number set in the structure MqErr and outputs
 *   error message. If error level is "FATAL", program exits immediately
 *   from this function.
 */

/* ============================= Include files ============================= */
#include <stdio.h>
#include <stdlib.h>
#include "mqdb.h"

/* ========================== Program statements  ========================== */
void MqPerror( char *errstr )
    {
    unsigned long   normerr;    /* normalized error number */

        /* first, specifies error level */

    if( MqErr.errno >= MQNTCBASE ) MqErr.level = EMQ_NOTICE;
    if( MqErr.errno >= MQWNGBASE ) MqErr.level = EMQ_WARNING;
    if( MqErr.errno >= MQFTLBASE ) MqErr.level = EMQ_FATAL;

    if( MqErr.errno > EMQERROR )    {
	MqSetError( EMQILERRNUM );
	MqPerror( NULL );
	MqClearError();
	}

    if( MqErr.level >= MqErr.warn ) {
        /* error message output except EMQNOERROR */
	if( MqErr.errno != EMQNOERROR )    {
	    normerr = MqErr.errno - MQERRBASE;
	
	    fprintf( stderr, "MQLIB error ( level %s ) at func %s:\n",
		    MqErrorLevel[MqErr.level], MqFuncName[MqErr.func] );
	    if( errstr == NULL )
		fprintf( stderr, "%s\n", MqErrorMsg[normerr] );
	    else
		fprintf( stderr, "%s: %s\n", errstr, MqErrorMsg[normerr] );
	    }
	}

    if( MqErr.level == EMQ_FATAL && MqErr.warn != EMQ_NOMESSAGE )   {
	fprintf( stderr, "Program exited because of the FATAL error.\n" );
	exit( MqErr.errno );
	}
    }

/* =========================== END of the program ========================== */

