/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                           "MqPutTopLine" ver 1.00                           |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This function creates top line of MQDB using values stored in libinfo
 *  structure. 
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void MqPutTopLine( char *header )
    {
    char  verdummy[] = "     ";   /* dummy variable for library version */
     
    MqSetFunc( MQPUTTOPLINE );
    MqClearError();

    if( NULL == header ) {
	MqSetError( EMQNULLPTR );
	MqPerror( NULL );
	}

    MqCheckLibVer( MqLib.LibVer );
    
    strcpy( header, MqSeparator );          /* '@@' */
    strcat( header, MqTopLineSeparator );   /* ' ' */

    /* append dummy variable for "header", because char variables in libinfo
       does not terminate with '\0', that is, cannot be strcat()'ed. */

    strcat( header, verdummy );

    if( MqErr.errno == EMQNOERROR ) {
	header[3] = MqLib.LibVer.LibType[0];   /* library type */
	header[4] = MqLib.LibVer.LibType[1];
	header[5] = MqLib.LibVer.Release;      /* release number */
	header[6] = MqLib.LibVer.Major;        /* major number */
	header[7] = MqLib.LibVer.Minor;        /* minor number */
	}

    strcat( header, MqTopLineSeparator );       /* ' ' */
    strcat( header, MqLib.ProgSign );      /* program signature */
    strcat( header, MqLineEnd );
    }

/* =========================== END of the program ========================== */
