/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                         "MqReadTmpHdrFile" ver 1.00                         |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <mqdb.h>
#include <sys/stat.h>
#include <sys/types.h>

/* ========================== Program statements  ========================== */
char *MqReadTmpHdrFile( unsigned short fildesc )
    {
    char *tmpfile;   /* temporary file name */
    char *header;    /* header contents */
    struct stat tmpstat;   /* stat() return value */
    FILE *ftmp;            /* file descriptor of temporary file */
    unsigned long j;       

    MqSetFunc( MQREADTMPHDRFILE );
    MqClearError();

    tmpfile = MqCreTmpHdrFileName( fildesc );
    if( -1 == stat( tmpfile, &tmpstat )) {
	MqSetError( EMQSTAT );
	MqPerror( tmpfile );
	perror( tmpfile );
	}

    if( NULL == ( header = calloc( (unsigned int)tmpstat.st_size + 1, 1 ))) {
	MqSetError( EMQMEMALLOC );
	MqPerror( NULL );
	}

    if( NULL == ( ftmp = fopen( tmpfile, "r" ))) {
	MqSetError( EMQOPENTMP );
	MqPerror( tmpfile );
	}

    for( j = 0; j < (unsigned long)tmpstat.st_size + 1; j++ )
	header[j] = fgetc( ftmp );

    fclose( ftmp );

    if( MqErr.errno == EMQNOERROR ) 
	return header;
    else
	return NULL;
    }

/* =========================== END of the program ========================== */

