/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                          "MqSearchHeader" ver 1.00                          |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* 
 *  This function searches information strings from a header string and return
 *  its position. If detection fails, -1 will be returned.
 */

/* ============================= Include files ============================= */
#include <stdlib.h>
#include "mqdb.h"

/* ========================== Program statements  ========================== */
long MqSearchHeader( char *header, char *info )
    {
    long      i, j;    /* loop counter */
    MqYesNo   detect;
    unsigned long      headlen, infolen,  /* length of strings */
                       pos;               /* position of the header */

    MqSetFunc( MQSEARCHHEADER );
    MqClearError();

    i = 2;  j = 0;    detect = MQ_NO;    /* initializations */

    headlen = strlen( header );
    infolen = strlen( info );

        /* error check */
    if( headlen == 0 )    {
	MqSetError( EMQZEROHDR );
	MqPerror( NULL );
	}

    if( infolen == 0 )    {
	MqSetError( EMQZEROINFO );
	MqPerror( NULL );
	}

    if( infolen > headlen )   {
	MqSetError( EMQLONGINFO );
	MqPerror( NULL );
	}

        /* if error was detected, returns -1 */
    if( MqErr.errno != EMQNOERROR ) return -1;

    while( header[i] != '\0' )    {
	if( header[i-2] == 0x0d && header[i-1] == 0x0a )    {
	    while( header[i] == info[j] && info[j] != '\0' )    {
		if( j == 0 && detect == MQ_NO ) pos = i; 
		i++; j++;
		}
	    if( j == infolen )    {
		if( detect == MQ_YES )    {
		    MqSetError( EMQMULTINFO );
		    MqPerror( info );
		    }
		else
		    detect = MQ_YES;
		}
	    }
	i++;  j = 0;
	}
    
    if( detect == MQ_NO ) return -1;

    return pos;
    }

/* =========================== END of the program ========================== */
