/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                        "MqSeparateInfoData" ver 1.00                        |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This function divides given string into a information string and data 
 *  string ( only data string will be retured ). 
 */

/* ============================= Include files ============================= */
#include <stdio.h>
#include <stdlib.h>
#include "mqdb.h"

/* ========================== Program statements  ========================== */
void MqSeparateInfoData( char *line, char *data )
    {
    int    i, j = 0,   /* loop counter */
           linelen,    /* length of "line" */
           sepos = 0;  /* position of the separator ':' */

    MqClearError();
    MqSetFunc( MQSEPARATEINFODATA );

    if( NULL == line )    {
	MqSetError( EMQNULLPTR );
	MqPerror( NULL );
	}

    linelen = strlen( line );   /* if header line length is zero */
    if( linelen == 0 )   {
	MqSetError( EMQZEROHDRLINE );
	MqPerror( NULL );
	}

    if( MqErr.errno == EMQNOERROR )    {
	for( i = 0; i < linelen; i++ )
	    if( line[i] == ':' ) sepos = i;
	}

    if( sepos == 0 )    {    /* if no separator character ':' found */
	MqSetError( EMQNOSEMICOLON );
	MqPerror( NULL );
	}
    
    if( MqErr.errno == EMQNOERROR )    {
	do
	    sepos++;
	while( line[sepos] == ' ' || line[sepos] == '\t' );

	i = sepos;
	while( i < linelen )
	    data[j++] = line[i++];
	}

    data[j] = '\0';
    }

/* =========================== END of the program ========================== */
