/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                         "MqSeparateMqTime" ver 1.00                         |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This subroutine belongs to the lower interface functions of Moonquake Data-
 *  base library subroutines ( MQLIB ). A given string composed of numerical 
 *  characters separated by one space character are translated into the MqTime
 *  structure which will be returned.
 */

/* ============================= Include files ============================= */
#include <stdio.h>
#include <stdlib.h>
#include "mqdb.h"

/* ========================== Program statements  ========================== */
MqTime MqSeparateMqTime( char *timestr )
    {
    MqTime       mqtime;
    unsigned int timelen,        /* length of *timestr */
                 i,              /* loop counter */
                 spcount = 0;    /* counter of ' ' */

    MqSetFunc( MQSEPARATEMQTIME );
    MqClearError();

    mqtime.year = mqtime.day = mqtime.hour = mqtime.minute =
	mqtime.second = mqtime.ms = 0;    /* initialization */

    timelen = strlen( timestr );
    
    for( i = 0; i < timelen; i++ )
	if( timestr[i] == ' ' ) spcount++;

    if( spcount == 0 )    {              /* no ' ' was detected */
	MqSetError( EMQNOMQTIMESEP );
	MqPerror( timestr );
	return mqtime;
	}
    else if( spcount > 5 )    {          /* more than five ' ' were detected */
	MqSetError( EMQILMQTIMESEP );
	MqPerror( timestr );
	return mqtime;
	}

    sscanf( timestr, "%hd %hd %hd %hd %hd %hd",
	    &mqtime.year, &mqtime.day, &mqtime.hour,
	    &mqtime.minute, &mqtime.second, &mqtime.ms );

    return mqtime;
    }

/* =========================== END of the program ========================== */
