/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                           "MqSetFilDesc" ver 1.00                           |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This function searches least file descriptor when called. If searching 
 *  succeeds, this function sets appropriate data set as arguments and 
 *  returns file description number.
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
short MqSetFilDesc( char *filename, MQRW mqrw, MQIO mqio )
    {
    short fd,  /* file descriptor */
          i;
    unsigned int  filenamelen;    /* length of file name */

    MqSetFunc( MQSETFILDESC );
    MqClearError();

    /* searches least vacant file descriptor */
    for( i = 0; i < MQFILDESCMAX; i++ ) {
	if( MqFilDesc[i].InUse == MQ_NO ) {
	    fd = i;
	    MqFilDesc[i].InUse = MQ_YES;
	    break;
	    }
	}

    /* if failes to search, then exits */
    if( i == MQFILDESCMAX ) {
	MqSetError( EMQFILDESCMAX );
	MqPerror( NULL );
	}

    /* file name setting */
    if( NULL != filename ) {
	filenamelen = strlen( filename );
	if( filenamelen == 0 ) {
	    MqSetError( EMQZEROFILE );
	    MqPerror( NULL );
	    }
	if( NULL == ( MqFilDesc[fd].filename = calloc( filenamelen + 1, 1 ))) {
	    MqSetError( EMQMEMALLOC );
	    MqPerror( NULL );
	    }
	strcpy( MqFilDesc[fd].filename, filename );
	}

    /* settings of other parameters */
    MqFilDesc[fd].iostream = mqio;
    MqFilDesc[fd].ReadWrite = mqrw;

    if( MqErr.errno == EMQNOERROR )
	return fd;
    else
	return -1;
    }

/* =========================== END of the program ========================== */

