/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQCAA" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1995 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqcaa_( unsigned short *fd, unsigned short *channels, double *data )
    {
    char *header,     /* header strings */
         *tmpfile;    /* temporary header file name */
    unsigned short i;
    MqAmp   aveamp;
    FILE *ftmp;       /* file descriptor for temporary header file */

    MqSetFunc( MQCAA );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_WRITE );

    aveamp.channels = *channels;
    for( i = 0; i < *channels; i++ )
	aveamp.data[i] = data[i];

    if( NULL == ( header = MqPutAveAmp( aveamp ))) {
	MqSetError( EMQCREATEHDR );
	MqPerror( NULL );
	}

    if( NULL == ( tmpfile = MqCreTmpHdrFileName( *fd ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    if( NULL == ( ftmp = fopen( tmpfile, "a" ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    fputs( header, ftmp );
    fclose( ftmp );

    ( MqErr.errno == EMQNOERROR ) ?
	( MqStatus.AveAmp = MQ_SUCCESS ) : ( MqStatus.AveAmp = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

