/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                              "MQCCH" ver 1.00                               |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqcch_( unsigned short *fd, unsigned short *channels )
    {
    char *header,    /* header strings */
         *tmpfile;   /* temporary file name */
    FILE *ftmp;	     /* file descriptor of temporary file */

    MqSetFunc( MQCCH );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_WRITE );

    if( NULL == ( header = MqPutChannels( *channels ))) {
	MqSetError( EMQCREATEHDR );
	MqPerror( NULL );
	}

    if( NULL == ( tmpfile = MqCreTmpHdrFileName( *fd ))) {
	MqSetError( EMQCREATEHDR );
	MqPerror( NULL );
	}

    if( NULL == ( ftmp = fopen( tmpfile, "a" ))) {
	MqSetError( EMQCREATEHDR );
	MqPerror( NULL );
	}

    fputs( header, ftmp );
    fclose( ftmp );

    ( MqErr.errno == EMQNOERROR ) ?
        ( MqStatus.Channels = MQ_SUCCESS ) : ( MqStatus.Channels = MQ_FAIL );
    } 

/* =========================== END of the program ========================== */
