/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                              "MQCDF" ver 1.00                               |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqcdf_( unsigned short *fd, unsigned short *dataform )
    {
    char  *header,   /* header strings */
	  *tmpfile;  /* temporary header file name */
    MQDF   mqdf;     /* data format */
    FILE  *ftmp;     /* temporary header file descriptor */

    MqSetFunc( MQCDF );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_WRITE );

    /* data preparation (conversion) for FORTRAN variable */
    switch( *dataform ) {
    case 1:    /* OLD format */
	mqdf = MQ_OLD;
	break;
    case 2:    /* NEW format */
	mqdf = MQ_NEW;
	break;
    default:
	MqSetError( EMQILDATAFORM );
	MqPerror( NULL );
	}

    if( NULL == ( header = MqPutDataFormat( mqdf ))) {
        MqSetError( EMQCREATEHDR );
        MqPerror( NULL );
        }

    if( NULL == ( tmpfile = MqCreTmpHdrFileName( *fd ))) {
        MqSetError( EMQCREATEHDR );
        MqPerror( NULL );
        }

    if( NULL == ( ftmp = fopen( tmpfile, "a" ))) {
        MqSetError( EMQCREATEHDR );
        MqPerror( NULL );
        }

    fputs( header, ftmp );
    fclose( ftmp );

    ( MqErr.errno == EMQNOERROR ) ? 
	( MqStatus.DataFormat = MQ_SUCCESS ) : 
	    ( MqStatus.DataFormat = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

