/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQCDT" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqcdt_( unsigned short *fd, unsigned short *datatype )
    {
    char *header,    /* header strings */
         *tmpfile;   /* temporary header file name */
    MQDT  type;      /* data type in MQDT */
    FILE *ftmp;      /* file descriptor for temporary header file */

    MqSetFunc( MQCDT );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_WRITE );

    /* data preparation (conversion) for FORTRAN variable */
    switch( *datatype ) {
    case 1:    /* LP ( Long-Period ) data */
	type = MQ_LP;
	break;
    case 2:    /* SP ( Short-Period ) data */
	type = MQ_SP;
	break;
    case 3:    /* TIDAL data */
	type = MQ_TIDAL;
	break;
    default:
	MqSetError( EMQILDATATYPE );
	MqPerror( NULL );
	}

    if( NULL == ( header = MqPutDataType( type ))) {
        MqSetError( EMQCREATEHDR );
        MqPerror( NULL );
        }

    if( NULL == ( tmpfile = MqCreTmpHdrFileName( *fd ))) {
        MqSetError( EMQCREATEHDR );
        MqPerror( NULL );
        }

    if( NULL == ( ftmp = fopen( tmpfile, "a" ))) {
        MqSetError( EMQCREATEHDR );
        MqPerror( NULL );
        }

    fputs( header, ftmp );
    fclose( ftmp );

    ( MqErr.errno == EMQNOERROR ) ?
        ( MqStatus.DataType = MQ_SUCCESS ) : ( MqStatus.DataType = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

