/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                              "MQCERC" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqcerc_( unsigned short *fd, unsigned long *endrec )
    {
    char   *header,   /* header string */
           *tmpfile;  /* temporary file name */
    FILE   *ftmp;     /* file descriptor of temporary file */

    MqSetFunc( MQCERC );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_WRITE );

    if( NULL == ( header = MqPutEndRecord( *endrec ))) {
	MqSetError( EMQCREATEHDR );
	MqPerror( NULL );
	}

    if( NULL == ( tmpfile = MqCreTmpHdrFileName( *fd ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    if( NULL == ( ftmp = fopen( tmpfile, "a" ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    fputs( header, ftmp );
    fclose( ftmp );

    ( MqErr.errno == EMQNOERROR ) ?
        ( MqStatus.EndRecord = MQ_SUCCESS ) :
            ( MqStatus.EndRecord = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

