/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQCFT" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqcft_( unsigned short *fd, unsigned short *filtype )
    {
    char  *header,  /* header strings */
          *tmpfile; /* temporary header file name */
    MQFT   file;    /* file type in MQFT */
    FILE  *ftmp;    /* file descriptor for temporary header file */

    MqSetFunc( MQCFT );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_WRITE );

    /* data preparation (conversion) for FORTRAN variable */
    switch( *filtype ) {
    case 1:    /* file type FULLTEXT */
	file = MQ_FULLTEXT;
	break;
    case 2:    /* file type COMPOSITE */
	file = MQ_COMPOSITE;
	break;
    default:
	MqSetError( EMQILFILETYPE );
	MqPerror( NULL );
	}

    if( NULL == ( header = MqPutFileType( file ))) {
        MqSetError( EMQCREATEHDR );
        MqPerror( NULL );
        }

    if( NULL == ( tmpfile = MqCreTmpHdrFileName( *fd ))) {
        MqSetError( EMQCREATEHDR );
        MqPerror( NULL );
        }

    if( NULL == ( ftmp = fopen( tmpfile, "a" ))) {
        MqSetError( EMQCREATEHDR );
        MqPerror( NULL );
        }

    fputs( header, ftmp );
    fclose( ftmp );

    ( MqErr.errno == EMQNOERROR ) ?
        ( MqStatus.FileType = MQ_SUCCESS ) : ( MqStatus.FileType = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

