/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                              "MQCLOS" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <sys/types.h>
#include <unistd.h>
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqclos_( unsigned short *fildesc )
    {
    char *tmpfile,    /* temporary header file name */
         *header,     /* contents of this header file */
          topline[80];   /* top line of MQDB file */
    int   rmresult;      /* result code of remove() or unlink() */
    unsigned short fd;   /* equivalent to *fildesc */
    FILE *fout;          /* output file */

    MqSetFunc( MQCLOS );
    MqClearError();

    fd = *fildesc;

    if( *fildesc > MQFILDESCMAX ) {  /* if file descriptor is invalid */
	MqSetError( EMQFILDESCMAX );
	MqPerror( NULL );
	}

    if( NULL == ( tmpfile = MqCreTmpHdrFileName( *fildesc ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );
	}

    rmresult = remove( tmpfile );
    if( rmresult != 0 ) {   /* remove resulted in abnormal termination */
	perror( tmpfile );
	MqSetError( EMQREMOVETMP );
	MqPerror( tmpfile );
	}

    /* clears freed file descriptor. All values are turned to default. */
    MqFilDesc[fd].InUse     = MQ_NO;
    MqFilDesc[fd].accmethod = MQ_TMP;
    MqFilDesc[fd].iostream  = MQ_FILE;
    MqFilDesc[fd].ReadWrite = MQ_UNKNOWN;
    MqFilDesc[fd].filename  = NULL;
    sprintf( &MqFilDesc[fd].libinfo.LibVer.Release, "%1d", MQLIB_RELEASE );
    sprintf( &MqFilDesc[fd].libinfo.LibVer.Major,   "%1d", MQLIB_MAJOR );
    sprintf( &MqFilDesc[fd].libinfo.LibVer.Minor,   "%1d", MQLIB_MINOR );
    }

/* =========================== END of the program ========================== */
