/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQCMA" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqcma_( unsigned short *fd, unsigned short *channels, double *data )
    {
    char  *header,   /* header strings */
          *tmpfile;  /* temporary header file name */
    MqAmp  maxamp;   /* maximum amplitude */
    FILE  *ftmp;     /* file descriptor of temporary header file */
    unsigned short i;

    MqSetFunc( MQCMA );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_WRITE );

    maxamp.channels = *channels;
    for( i = 0; i < *channels; i++ )
	maxamp.data[i] = data[i];

    if( NULL == ( header = MqPutMaxAmp( maxamp ))) {
	MqSetError( EMQCREATEHDR );
	MqPerror( NULL );
	}

    if( NULL == ( tmpfile = MqCreTmpHdrFileName( *fd ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    if( NULL == ( ftmp = fopen( tmpfile, "a" ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    fputs( header, ftmp );
    fclose( ftmp );

    ( MqErr.errno == EMQNOERROR ) ?
        ( MqStatus.MaxAmp = MQ_SUCCESS ) : ( MqStatus.MaxAmp = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

