/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQCOM" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqcom_( unsigned short *fd, unsigned short *obsmode )
    {
    char  *header,      /* header strings */
          *tmpfile;     /* temporary header file name */
    MqMode   mode;      /* observation mode in variable type "MqMode" */
    FILE  *ftmp;        /* file descriptor of temporary header file */

    MqSetFunc( MQCOM );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_WRITE );

    /* data preparation (conversion) for FORTRAN variable */
    switch( *obsmode ) {
    case 1:    /* observation mode is PEAKED */
	mode = MQ_PEAKED;
	break;
    case 2:    /* observation mode is FLAT */
	mode = MQ_FLAT;
	break;
    default:
	MqSetError( EMQILOBSMODE );
	MqPerror( NULL );
	}

    if( NULL == ( header = MqPutObsMode( mode ))) {
        MqSetError( EMQCREATEHDR );
        MqPerror( NULL );
        }

    if( NULL == ( tmpfile = MqCreTmpHdrFileName( *fd ))) {
        MqSetError( EMQCREATEHDR );
        MqPerror( NULL );
        }

    if( NULL == ( ftmp = fopen( tmpfile, "a" ))) {
        MqSetError( EMQCREATEHDR );
        MqPerror( NULL );
        }

    fputs( header, ftmp );
    fclose( ftmp );

    ( MqErr.errno == EMQNOERROR ) ?
        ( MqStatus.ObsMode = MQ_SUCCESS ) : ( MqStatus.ObsMode = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

