/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQCSR" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqcsr_( unsigned short *fd, unsigned short *channels, double *data )
    {
    char  *header,      /* header strings */
          *tmpfile;     /* file name of temporary header file */
    MqAmp  samprate;    /* sampling rate in variable type "MqAmp" */
    unsigned short i;
    FILE  *ftmp;        /* file descriptor of temporary header file */

    MqSetFunc( MQCSR );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_WRITE );

    samprate.channels = *channels;
    for( i = 0; i < *channels; i++ )
	samprate.data[i] = data[i];

    if( NULL == ( header = MqPutSampRate( samprate ))) {
	MqSetError( EMQCREATEHDR );
	MqPerror( NULL );
	}

    if( NULL == ( tmpfile = MqCreTmpHdrFileName( *fd ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    if( NULL == ( ftmp = fopen( tmpfile, "a" ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    fputs( header, ftmp );
    fclose( ftmp );

    ( MqErr.errno == EMQNOERROR ) ? 
        ( MqStatus.SampRate = MQ_SUCCESS ) : ( MqStatus.SampRate = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

