/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                              "MQCSRC" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqcsrc_( unsigned short *fd, long *startrec )
    {
    char  *header,    /* header strings */
          *tmpfile;   /* temporary file name */
    FILE  *ftmp;      /* file descriptor of temporary file */

    MqSetFunc( MQCSRC );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_WRITE );

    if( NULL == ( header = MqPutStartRecord( *startrec ))) {
	MqSetError( EMQCREATEHDR );
	MqPerror( NULL );
	}

    if( NULL == ( tmpfile = MqCreTmpHdrFileName( *fd ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    if( NULL == ( ftmp = fopen( tmpfile, "a" ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    fputs( header, ftmp );
    fclose( ftmp );

    ( MqErr.errno == EMQNOERROR ) ?
        ( MqStatus.StartRecord = MQ_SUCCESS ) :
            ( MqStatus.StartRecord = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

