/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQCST" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqcst_( unsigned short *fd, unsigned short *year,
             unsigned short *day, unsigned short *hour,
             unsigned short *minute, unsigned short *second, 
             unsigned short *ms )
    {
    char    *header,    /* header strings */
            *tmpfile;   /* temporary file name */
    FILE    *ftmp;      /* file descriptor of temporary file */
    MqTime   mqtime;    /* Start Time in MqTime structure */

    MqSetFunc( MQCST );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_WRITE );

    mqtime.year   = *year;
    mqtime.day    = *day;
    mqtime.hour   = *hour;
    mqtime.minute = *minute;
    mqtime.second = *second;
    mqtime.ms     = *ms;

    MqCheckTime( &mqtime );

    if( NULL == ( header = MqPutStartTime( mqtime ))) {
	MqSetError( EMQCREATEHDR );
	MqPerror( NULL );
	}

    if( NULL == ( tmpfile = MqCreTmpHdrFileName( *fd ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    if( NULL == ( ftmp = fopen( tmpfile, "a" ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    fputs( header, ftmp );
    fclose( ftmp );

    ( MqErr.errno == EMQNOERROR ) ?
        ( MqStatus.StartTime = MQ_SUCCESS ) : 
            ( MqStatus.StartTime = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

