/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                              "MQCSTN" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqcstn_( unsigned short *fd, unsigned short *station )
    {
    char  *header,      /* header strings */
          *tmpfile;     /* temporary file name */
    FILE  *ftmp;        /* file descriptor for temporary file */

    MqSetFunc( MQCSTN );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_WRITE );
    MqCheckStation( *station );

    if( NULL == ( header = MqPutStation( *station ))) {
	MqSetError( EMQCREATEHDR );
	MqPerror( NULL );
	}

    if( NULL == ( tmpfile = MqCreTmpHdrFileName( *fd ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    if( NULL == ( ftmp = fopen( tmpfile, "a" ))) {
	MqSetError( EMQWRITETMP );
	MqPerror( NULL );
	}

    fputs( header, ftmp );
    fclose( ftmp );

    ( MqErr.errno == EMQNOERROR ) ? 
        ( MqStatus.Station = MQ_SUCCESS ) : ( MqStatus.Station = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

