/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQRAA" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This function is a FORTRAN interface of the "Average_amplitude" header,
 *  equivalent to the C interface function "MqReadAveAmp".
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqraa_( unsigned short *fd, unsigned short *channels, double *data )
    {
    char *header;          /* header strings */
    unsigned short    i;
    MqAmp       aveamp;    /* average amplitude in variable type "MqAmp" */

    MqSetFunc( MQRAA );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_READ );

    if( NULL == ( header = MqReadTmpHdrFile( *fd ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );	   
	}

    aveamp = MqGetAveAmp( header );

    if( MqErr.errno == EMQNOERROR || MqErr.errno == EMQONEDATA ) {
	*channels = aveamp.channels;
	for( i = 0; i < aveamp.channels; i++ )
	    data[i] = aveamp.data[i];
	}
    else {
	*channels = 0;
	for( i = 0; i < MQCHANNELMAX; i++ )
	    data[i] = 0.0;
	}

    ( MqErr.errno == EMQNOERROR ) ? 
	( MqStatus.AveAmp = MQ_SUCCESS ) : ( MqStatus.AveAmp = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

