/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQRCH" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1995 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This is a FORTRAN interface library for reading Channels header, 
 *  equivalent to the C interface "MqReadChannels".
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqrch_( unsigned short *fd, unsigned short *channels )
    {
    char  *header;      /* header strings */

    MqSetFunc( MQRCH );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_READ );

    if( NULL == ( header = MqReadTmpHdrFile( *fd ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );
	}

    *channels = MqGetChannels( header );

    ( MqErr.errno == EMQNOERROR ) ?
	( MqStatus.Channels = MQ_SUCCESS ) : ( MqStatus.Channels = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

