/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQRDF" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1995 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This function is a FORTRAN interface of the "Data_format" header,
 *  equivalent to the C interface function "MqReadDataFormat", Except that
 *  return value is 1 in OLD format, 2 in NEW format and 0 otherwise.
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqrdf_( unsigned short *fd, unsigned short *dataform )
    {
    char  *header;     /* header strings */
    MQDF    format;    /* data format in variable type "MQDF" */

    MqSetFunc( MQRDF );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_READ );

    if( NULL == ( header = MqReadTmpHdrFile( *fd ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );
	}

    format = MqGetDataFormat( header );

    if( MqErr.errno == EMQNOERROR ) {
	switch( format ) {
	case MQ_OLD:
	    *dataform = 1;
	    break;
	case MQ_NEW:
	    *dataform = 2;
	    break;
	default:
	    *dataform = 0;
	    }
	}
    else {
	*dataform = 0;
	}

    ( MqErr.errno == EMQNOERROR ) ?
	( MqStatus.DataFormat = MQ_SUCCESS ) : 
	    ( MqStatus.DataFormat = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

