/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQRDT" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1995 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This function is a FORTRAN interface of the "Data_type" header,
 *  equivalent to the C interface function "MqReadDataType", Except that
 *  return value is 1 in LP, 2 in SP, 3 in TIDAL and 0 otherwise.
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqrdt_( unsigned short *fd, unsigned short *datatype )
    {
    char  *header;      /* header strings */
    MQDT      type;      /* data type in variable type "MQDT" */

    MqSetFunc( MQRDT );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_READ );

    if( NULL == ( header = MqReadTmpHdrFile( *fd ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );
	}

    type = MqGetDataType( header );

    if( MqErr.errno == EMQNOERROR ) {
	switch( type ) {
	case MQ_LP:
	    *datatype = 1;
	    break;
	case MQ_SP:
	    *datatype = 2;
	    break;
	case MQ_TIDAL:
	    *datatype = 3;
	    break;
	default:
	    *datatype = 0;
	    }
	}
    else {
	*datatype = 0;
	}

    ( MqErr.errno == EMQNOERROR ) ?
	( MqStatus.DataType = MQ_SUCCESS ) : ( MqStatus.DataType = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

