/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                              "MQRERC" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1995 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This is a FORTRAN interface library for reading End_record header, 
 *  equivalent to the C interface "MqReadEndRecord".
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqrerc_( unsigned short *fd, unsigned long *endrec )
    {
    char  *header;      /* header strings */

    MqSetFunc( MQRERC );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_READ );

    if( NULL == ( header = MqReadTmpHdrFile( *fd ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );
	}

    *endrec = MqGetEndRecord( header );

    ( MqErr.errno == EMQNOERROR ) ?
	( MqStatus.EndRecord = MQ_SUCCESS ) :
	    ( MqStatus.EndRecord = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

