/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQRFT" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1995 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This function is a FORTRAN interface of the "File_type" header,
 *  equivalent to the C interface function "MqReadFileType", Except that
 *  return value is 1 in FULLTEXT, 2 in COMPOSITE and 0 otherwise.
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqrft_( unsigned short *fd, unsigned short *filetype )
    {
    char  *header;      /* header strings */
    MQFT      file;      /* file type in variable type "MQFT" */

    MqSetFunc( MQRFT );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_READ );

    if( NULL == ( header = MqReadTmpHdrFile( *fd ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );
	}

    file = MqGetFileType( header );

    if( MqErr.errno == EMQNOERROR ) {
	switch( file ) {
	case MQ_FULLTEXT:    /* TEXT format */
	    *filetype = 1;
	    break;
	case MQ_COMPOSITE:   /* BINARY format */
	    *filetype = 2;
	    break;
	case MQ_XDR:         /* XDR format */
	    *filetype = 3;
	    break;
	default:             /* unknown */
	    *filetype = 0;
	    }
	}
    else {
	*filetype = 0;
	}

    ( MqErr.errno == EMQNOERROR ) ?
	( MqStatus.FileType = MQ_SUCCESS ) : ( MqStatus.FileType = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

