/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQRMA" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1995 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This function is a FORTRAN interface of the "Maximum_amplitude" header,
 *  equivalent to the C interface function "MqReadMaxAmp".
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqrma_( unsigned short *fd, unsigned short *channels, double *data )
    {
    char  *header;    /* header strings */
    MqAmp  maxamp;    /* maximum amplitude in variable type "MqAmp" */
    unsigned short i;

    MqSetFunc( MQRMA );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_READ );

    if( NULL == ( header = MqReadTmpHdrFile( *fd ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );
	}

    maxamp = MqGetMaxAmp( header );

    if( MqErr.errno == EMQNOERROR || MqErr.errno == EMQONEDATA ) {
	*channels = maxamp.channels;
	for( i = 0; i < maxamp.channels; i++ )
	    data[i] = maxamp.data[i];
	}
    else {
	*channels =0;
	for( i = 0; i < MQCHANNELMAX; i++ )
	    data[i] = 0.0;
	}

    ( MqErr.errno == EMQNOERROR ) ?
	( MqStatus.MaxAmp = MQ_SUCCESS ) : ( MqStatus.MaxAmp = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

