/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                              "MQRNOD" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1995 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This is a FORTRAN interface library for reading Number_of_data header, 
 *  equivalent to the C interface "MqReadNumOfData".
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqrnod_( unsigned short *fd, unsigned long *nod )
    {
    char  *header;      /* header strings */

    MqSetFunc( MQRNOD );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_READ );

    if( NULL == ( header = MqReadTmpHdrFile( *fd ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );
	}

    *nod = MqGetNumOfData( header );

    ( MqErr.errno == EMQNOERROR ) ?
	( MqStatus.NumOfData = MQ_SUCCESS ) :
	    ( MqStatus.NumOfData = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

