/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQROM" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1995 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This function is a FORTRAN interface of the "Observation_mode" header,
 *  equivalent to the C interface function "MqReadObsMode", Except that
 *  return value is 1 in PEAKED mode, 2 in FLAT mode and 0 otherwise.
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqrom_( unsigned short *fd, unsigned short *obsmode )
    {
    char  *header;      /* header strings */
    MqMode      mode;      /* observation mode in variable type "MqMode" */

    MqSetFunc( MQROM );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_READ );

    if( NULL == ( header = MqReadTmpHdrFile( *fd ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );
	}

    mode = MqGetObsMode( header );

    if( MqErr.errno == EMQNOERROR ) {
	switch( mode ) {
	case MQ_PEAKED:
	    *obsmode = 1;
	    break;
	case MQ_FLAT:
	    *obsmode = 2;
	    break;
	default:
	    *obsmode = 0;
	    }
	}
    else {
	*obsmode = 0;
	}

    ( MqErr.errno == EMQNOERROR ) ?
	( MqStatus.ObsMode = MQ_SUCCESS ) : ( MqStatus.ObsMode = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

