/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQRSR" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1995 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This function is a FORTRAN interface of the "Sampling_rate" header,
 *  equivalent to the C interface function "MqReadSampRate".
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqrsr_( unsigned short *fd, unsigned short *channels, double *data )
    {
    char  *header;      /* header strings */
    MqAmp  samprate;    /* sampling rate in variable type "MqAmp" */
    unsigned short i;

    MqSetFunc( MQRSR );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_READ );

    if( NULL == ( header = MqReadTmpHdrFile( *fd ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );
	}

    samprate = MqGetSampRate( header );

    if( MqErr.errno == EMQNOERROR || MqErr.errno == EMQONEDATA ) {
	*channels = samprate.channels;
	for( i = 0; i < samprate.channels; i++ )
	    data[i] = samprate.data[i];
	}
    else {
	*channels = 0;
	for( i = 0; i < MQCHANNELMAX; i++ )
	    data[i] = 0.0;
	}

    ( MqErr.errno == EMQNOERROR ) ? 
	( MqStatus.SampRate = MQ_SUCCESS ) : ( MqStatus.SampRate = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

