/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                              "MQRSRC" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1995 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This is a FORTRAN interface library for reading Start_record header, 
 *  equivalent to the C interface "MqReadStartRecord".
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqrsrc_( unsigned short *fd, long *startrec )
    {
    char  *header;      /* header strings */

    MqSetFunc( MQRSRC );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_READ );

    if( NULL == ( header = MqReadTmpHdrFile( *fd ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );
	}

    *startrec = MqGetStartRecord( header );

    ( MqErr.errno == EMQNOERROR ) ?
	( MqStatus.StartRecord = MQ_SUCCESS ) :
	    ( MqStatus.StartRecord = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

