/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQRST" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1995 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This is a FORTRAN interface library for reading Start_time header, 
 *  equivalent to the C interface "MqReadStartTime".
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqrst_( unsigned short *fd, unsigned short *year,
	     unsigned short *day, unsigned short *hour,
	     unsigned short *minute, unsigned short *second, 
             unsigned short *ms )
    {
    char  *header;         /* header strings */
    MqTime      mqtime;    /* Start Time in MqTime structure */

    MqSetFunc( MQRST );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_READ );

    if( NULL == ( header = MqReadTmpHdrFile( *fd ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );
	}

    mqtime = MqGetStartTime( header );

    /* transfer variable to the each arguments */
    if( MqErr.errno == EMQNOERROR ) {
	*year   = mqtime.year;
	*day    = mqtime.day;
	*hour   = mqtime.hour;
	*minute = mqtime.minute;
	*second = mqtime.second;
	*ms     = mqtime.ms;
	}
    else 
	*year = *day = *hour = *minute = *second = *ms = 0;

    ( MqErr.errno == EMQNOERROR ) ?
	( MqStatus.StartTime = MQ_SUCCESS ) : 
	    ( MqStatus.StartTime = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

