/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                              "MQRSTN" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1995 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This is a FORTRAN interface library for reading Station header, 
 *  equivalent to the C interface "MqReadStation".
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqrstn_( unsigned short *fd, unsigned short *station )
    {
    char  *header;      /* header strings */

    MqSetFunc( MQRSTN );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_READ );

    if( NULL == ( header = MqReadTmpHdrFile( *fd ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );
	}

    *station = MqGetStation( header );

    ( MqErr.errno == EMQNOERROR ) ? 
	( MqStatus.Station = MQ_SUCCESS ) : ( MqStatus.Station = MQ_FAIL );
    }

/* =========================== END of the program ========================== */

