/* ------------------- Moonquake database library routines -------------------+
|                                                                             |
|                               "MQRTN" ver 1.00                              |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1995 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This is a FORTRAN interface library for reading Station header, 
 *  equivalent to the C interface "MqReadTapeNumber".
 */

/* ============================= Include files ============================= */
#include <mqdb.h>

/* ========================== Program statements  ========================== */
void mqrtn_( unsigned short *fd, unsigned short *tape )
    {
    char  *header;      /* header strings */

    MqSetFunc( MQRTN );
    MqClearError();

    MqCheckFilDesc( *fd, MQ_READ );

    if( NULL == ( header = MqReadTmpHdrFile( *fd ))) {
	MqSetError( EMQREADTMP );
	MqPerror( NULL );
	}

    *tape = MqGetTapeNumber( header );

    ( MqErr.errno == EMQNOERROR ) ? 
	( MqStatus.TapeNumber = MQ_SUCCESS ) :
	    ( MqStatus.TapeNumber = MQ_FAIL );
    }

/* =========================== END of the program ========================== */
