/* ----------- Moonquake database library routines ( header file ) -----------+
|                                                                             |
|                             "mqstrs.h" ver 1.00                             |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/*
 *  This file defines static variables ( mainly strings ) used in Moonquake
 *  database.
 */

/* ========================= Variable declarations ========================= */

#ifndef _MQSTRS_H_
#define _MQSTRS_H_

    /* strings used in the header */
static const char MqAveAmp[]       = "Average_amplitude";
static const char MqChannels[]     = "Channels";
static const char MqCreDate[]      = "Data_create_date";
static const char MqDataDrift[]    = "Data_drift";
static const char MqDataFormat[]   = "Data_format";
static const char MqDataType[]     = "Data_type";
static const char MqEndRecord[]    = "End_record";
static const char MqFileType[]     = "File_type";
static const char MqInitMotion[]   = "Initial_motion";
static const char MqMaxAmp[]       = "Maximum_amplitude";
static const char MqModDate[]      = "Last_modified_date";
static const char MqNumOfData[]    = "Number_of_data";
static const char MqObsMode[]      = "Observation_mode";
static const char MqOrgFile[]      = "Original_data_file";
static const char MqRiseTime[]     = "Rise_time";
static const char MqSampRate[]     = "Sampling_rate";
static const char MqStartRecord[]  = "Start_record";
static const char MqStartTime[]    = "Start_time";
static const char MqStation[]      = "Station";
static const char MqTapeNumber[]   = "Tape_number";

    /* file name extension */
static const char LPFileNameExt[] = ".lp";
static const char SPFileNameExt[] = ".sp";
static const char TDLFileNameExt[] = ".tdl";

    /* temporary file name */
static const char MqTmpDirName[]  = "/tmp";
static const char MqTmpFileBase[] = "mqdb";

    /* Line end mark */
static const char MqLineEnd[] = { 0x0d, 0x0a, 0x00 };

    /* Separators */
static const char MqSeparator[] = "@@";
static const char MqTopLineSeparator[] = " ";
static const char MqHeaderSeparator[]  = ":\t";
static const char MqDataSeparator[]    = ",";

    /* data type names */
static const char *MqDataTypeName[]   = { "LP", "SP", "TIDAL" };
static const char *MqDataFormatName[] = { "OLD", "NEW" };
static const char *MqObsModeName[]    = { "PEAKED", "FLAT" };
static const char *MqFileTypeName[]   = { "FULLTEXT", "COMPOSITE", "XDR" };

    /* sampling rate */
static const double MqSampRateLP = 0.15094;
static const double MqSampRateSP = 0.02082;
static const double MqSampRateTIDAL = 0.15094;

#endif    /* _MQSTRS_H */

/* =========================== END of the program ========================== */
