/* ----------------------- Moonquake database utilities ----------------------+
|                                                                             |
|                             "reformdb" ver 1.00                             |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <stdio.h>
#include <stdlib.h>
#include <mqdb.h>
#include "reformdb.h"

/* ========================== Program statements  ========================== */
main( int argc, char **argv )
    {
    double *data;
    MqAccess   access;
    MqHeader   header;

/*    SetOption( argc, argv );*/
/*    DisplayUsage();*/

    MqInit( progsign );           /* MQDB system initialization */
    MqSetAccessYes( &access );

    if( NULL == ( data = MqRead( argv[1], &access, &header )))
	exit( EXIT_FAILURE );

    header.FileType = MQ_COMPOSITE;

    MqCreate( argv[2], &access, &header, data );

    return EXIT_SUCCESS;
    }

/* ===== Evaluate and set option flags ===== */


/* ===== Display Usage ===== */
void DisplayUsage()
    {
    OutputError( "Usage: reformdb [ -options ] filename\n" );
    OutputError( "  valid options: \n" );
    OutputError( "   -maxamp: Add maximum amplitude header\n" );
    OutputError( "   -aveamp: Add average amplitude header\n" );
    OutputError( "   -drift:  Add data drift header\n" );
    OutputError( "   -inimot: Add initial motion header\n" );
    OutputError( "   -rise:   Add rise time header\n" );
    OutputError( "   -samp:   Add sampling rate header\n" );
    }

/* =========================== END of the program ========================== */

