C-------------------- Moonquake database library utilities -------------------
C
C                          "WRITESAC" ver 1.00
C 
C                         programmed by Jun-ya Terazono 
C         Copyright (c) 1994 by Jun-ya Terazono, all rights reserved. 
C-----------------------------------------------------------------------------
C
C  FORTRAN subroutines that relays output data to SAC file are collected in
C  this file. 
C
C-----------------------------------------------------------------------------

C-----------------------------------------------------------------------------
C  subroutine SETN
C    This subroutine is a interface to SAC header access subroutine SETNHV, 
C    which sets header data (integer variable).
C 
C    FUNC   (IN) : Header field name, must be 6 character in length.
C    NVALUE (IN) : Integer value to be set.
C    NERR   (OUT): Result code from SETNHV.
C-----------------------------------------------------------------------------

      SUBROUTINE SETN( FUNC, NVALUE, NERR )
      CHARACTER*6   FUNC
      INTEGER       NVALUE
      INTEGER       NERR

      CALL SETNHV( FUNC, NVALUE, NERR )

      RETURN
      END

C-----------------------------------------------------------------------------
C  subroutine SETF
C    This subroutine is a interface to SAC header access subroutine SETFHV, 
C    which sets header data (REAL variable).
C 
C    FUNC   (IN) : Header field name, must be 6 character in length.
C    FVALUE (IN) : REAL value to be set.
C    NERR   (OUT): Result code from SETFHV.
C-----------------------------------------------------------------------------

      SUBROUTINE SETF( FUNC, FVALUE, NERR )
      CHARACTER*6   FUNC
      REAL          FVALUE
      INTEGER       NERR

      CALL SETFHV( FUNC, FVALUE, NERR )

      RETURN
      END

C-----------------------------------------------------------------------------
C  subroutine SETL
C    This subroutine is a interface to SAC header access subroutine SETFHV, 
C    which sets header data (LOGICAL variable).
C 
C    FUNC   (IN) : Header field name, must be 6 character in length.
C    LVALUE (IN) : TRUE/FALSE flag. "1" is TRUE, "0" FALSE and otherwise are
C                  illegal.
C    NERR   (OUT): Result code from SETFHV. If LVALUE is illegal, this 
C                  subroutine will be set this value as 1.
C-----------------------------------------------------------------------------

      SUBROUTINE SETL( FUNC, LVALUE, NERR )
      CHARACTER*6   FUNC
      INTEGER       LVALUE
      INTEGER       NERR

      IF( LVALUE.EQ.1 ) THEN
         CALL SETLHV( FUNC, .TRUE., NERR )
      ELSE IF( LVALUE.EQ.0 ) THEN
         CALL SETLHV( FUNC, .FALSE., NERR )
      ELSE
         NERR = 1
      ENDIF

      RETURN
      END

C-----------------------------------------------------------------------------
C  subroutine SETI
C    This subroutine is a interface to SAC header access subroutine SETIHV, 
C    which sets header data (enumerating variable).
C 
C    FUNC   (IN) : Header field name, must be 6 character in length.
C    IVALUE (IN) : Enumerating variable, must be 6 character in length.
C    NERR   (OUT): Result code from SETFHV.
C-----------------------------------------------------------------------------

      SUBROUTINE SETI( FUNC, IVALUE, NERR )
      CHARACTER*6   FUNC
      CHARACTER*6   IVALUE
      INTEGER       NERR

      CALL SETIHV( FUNC, IVALUE, NERR )

      RETURN
      END
C
C
C
      SUBROUTINE WRITES( FILENAME, DATA, NERR )
      CHARACTER*255  FILENAME
      REAL           DATA
      INTEGER        NERR

      CALL WSAC0( FILENAME, DATA, DATA, NERR )

      RETURN
      END

C============================= END of the program =============================


