/* --------------- Moonquake database utilities ( header file ) --------------+
|                                                                             |
|                            "wmerror.h" ver 1.00                             |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/

#ifndef _WMERROR_H
#define _WMERROR_H

/* =========================== Macro definitions =========================== */
#define EWMNOERROR     0  /* exit with noerror */
#define EWMNOARGS      1  /* no argumets specified */
#define EWMFEWARGS     2  /* too few arguments */
#define EWMILOPTS      3  /* inappropriate options */
#define EWMMEMALLOC    4  /* memory allocation error */
#define EWMMAXERROR    5  /* maximum error number exceeded */
#define EWMDISPOPEN    6  /* failed to open display */
#define EWMUNKNOWN     7  /* unknown error */

/* ===================== static variable definitions ======================= */
const static char *errmsg[] = {
    "Program exited with no error",               /* EWMNOERROR */
    "Too few arguments",                          /* EWMNOARGS */
    "Failed to open input file",                  /* EWMFEWARGS */
    "Illegal option",                             /* EWMILOPTS */
    "Memory allocation error",                    /* EWMMEMALLOC */
    "Maximum error number exceeded",              /* EWMMAXERROR */
    "Failed to open display",                     /* EWMDISPOPEN */
    "An error occured ( reason unknown )"         /* EWMUNKNOWN */
    };

#endif   /* _WMERROR_H */

/* =========================== END of the program ========================== */
