/* ----- program for "WaveMaster" ... initializing drawing functions --------+
|                                                                            |
|                           "wmginit.c" ver. 1.00                            |
|                                                                            |
|                       programmed by Jun-ya Terazono                        |
|        copyright (c) 1993-1994 Jun-ya Terazono, all rights reserved.       |
+---------------------------------------------------------------------------*/
        
/* ----------------------- history of reconstructions ----------------------
1.00  (93.02.17)  Separated from wmgdraw.c

2.00  (93.11.17)  Rewritten in ANSI C style.
                  Function name changed to GNU/X style.
----------------------------------------------------------------------------*/

/* ============================= include files ============================= */
#include <stdio.h>
#include <stdlib.h>
#ifdef SUNGKS
#include <gks/ansicgks.h>
#elif XGKS
#include <xgks.h>
#endif
#include "wmas.h"            /* local variable and macro definitions */

/* ========================== Program statements ========================== */

/* ===== initial draw of the waves ===== */
void InitDraw( DRAW_PARAM *dparam,
	      double *indata1, double *indata2, double *indata3 )
/* 
 *  This function executes the first drawings of the wave.
 *    *dparam: drawing parameters ( IN )
 *   *indata1: "x" component of input data ( IN )
 *   *indata2: "y" component of input data ( IN )
 *   *indata3: "z" component of input data ( IN )
 */

    {
    DrawWave( dparam, UPPER, indata1, SEG_WAVE_UPPER, &upper );
    DrawAmpScale( dparam, UPPER, SEG_AMP_UPPER );
    
    DrawWave( dparam, MIDDLE, indata2, SEG_WAVE_MIDDLE, &middle );
    DrawAmpScale( dparam, MIDDLE, SEG_AMP_MIDDLE );
    
    DrawWave( dparam, LOWER, indata3, SEG_WAVE_LOWER, &lower );
    DrawAmpScale( dparam, LOWER, SEG_AMP_LOWER );

    DrawTimeAxis( dparam, UPPER, SEG_TAX_UPPER, UPPERBORDER );
    DrawTimeAxis( dparam, LOWER, SEG_TAX_LOWER, LOWERBORDER );
    DrawTimeDisp( dparam, SEG_TIME_DISP );    
    }

/* =========================== END of the program ========================== */
