/* ----------------------- Moonquake database utilities ----------------------+
|                                                                             |
|                              "wminput" ver 3.00                             |
|                                                                             |
|                         programmed by Jun-ya Terazono                       |
|        Copyright (c) 1992-1994 Jun-ya Terazono, all rights reserved.        |
+----------------------------------------------------------------------------*/
        
/* ----------------------- history of reconstructions ----------------------
1.00  (92.06.29)  Input by left mouse button ( GKS locator input ).
1.10  (92.07.10)  New function ( change_all_normamp ).
                  New features added.
                     * change all amplitude scale.
                     * change all time interval.
                     * correction of time width in case of
                       assignments of time width more than permitted.
                  "change all time int." moved to general function.
1.20  (92.07.29)  Drawings of time axis changed.
1.30  (92.12.12)  Time jump facility was supported.
                  New function: jump_time().
1.31  (92.12.14)  Bugs about time axis display was partially fixed.
1.40  (92.12.24)  Time display was added.

2.00  (93.11.17)  Rewritten in ANSI C style.
                  Function names changed to GNU/X style.

3.00  (94.02.16)  File name changed from wmginput.c to wminput.c.
                  Changed to Xlib-based.
----------------------------------------------------------------------------*/

/* ============================= Include files ============================= */
#include <stdio.h>
#include <stdlib.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include "wmas.h"

/* ========================== Program statements  ========================== */

/* ===== display graph and wait for input ===== */
WmFunc InputWait( Display *display, Window wave, GC gc ) 
    {
    int   input, charcount;
    XEvent ev;
    XKeyEvent keyev;
    char buf[1];
    int bufsiz = 1;
    KeySym keysym;
    XComposeStatus  compose;

    XNextEvent( display, &ev );

    if( ev.type == ButtonPress )
	fprintf( stderr, "Detected ButtonPress Event\n" );
    if( ev.type == KeyPress )    {
	keyev = ev.xkey;
	charcount = XLookupString( &keyev, buf, bufsiz, &keysym, &compose );
	}

    switch( buf[0] )   {
    case 'h':
	return HELP;
    case 'n':
	XSetForeground( display, gc, WhitePixel( display, 0 ));
	XFillRectangle( display, wave, gc, 0, 0,
		       600 + WINOFFSET * 2, 600 + WINOFFSET * 2 );
	if( dp.wdp.pos + dp.wdp.points > dp.wdp.data )
	    fprintf( stderr, "Can't forward\n" );
	else
	    dp.wdp.pos += dp.wdp.points;
	if( optflag.verbose == VERYVERBOSE )
	    fprintf( stderr, "Plotting from %d to %d\n", 
		    dp.wdp.pos, dp.wdp.pos + dp.wdp.points );
	    
	return NEXT;
    case 'p':
	if( dp.wdp.pos == 0 )
	    fprintf( stderr, "Cannot rewind\n" );
	else
	    dp.wdp.pos -= dp.wdp.points;
	if( optflag.verbose == VERYVERBOSE )
	    fprintf( stderr, "Plotting from %d to %d\n", 
		    dp.wdp.pos, dp.wdp.pos + dp.wdp.points );
	return PREVIOUS;
    case 'q':
	fprintf( stderr, "Exit WaveMaster ... \n" );
	return QUIT;
    case 'v':
	return DISPVER;
	}

    XFlush( display );
    }

/* ===== change normalized amplitude and redraw whole graph ===== */
void ChangeNormAmp( void )
    {
    }

/* ===== change time interval and redraw whole graph ===== */
void ChangeTimeInt( void )
    {
    }

/* ===== display prompt and input string ===== */
void InputString( void )
    {
    }

/* ===== Jump to the specified time ===== */
void JumpTime( void )
    {
    }

/* =========================== END of the program ========================== */
